# Makefile.in generated by automake 1.10.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# $Id$


pkgdatadir = $(datadir)/exo
pkglibdir = $(libdir)/exo
pkgincludedir = $(includedir)/exo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
TESTS = test-exo-csource$(EXEEXT) test-exo-mount-point$(EXEEXT) \
	test-exo-noop$(EXEEXT) test-exo-string$(EXEEXT)
check_PROGRAMS = test-exo-csource$(EXEEXT) \
	test-exo-mount-point$(EXEEXT) test-exo-noop$(EXEEXT) \
	test-exo-string$(EXEEXT)
noinst_PROGRAMS = test-exo-icon-chooser-dialog$(EXEEXT) \
	test-exo-wrap-table$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_test_exo_csource_OBJECTS =  \
	test_exo_csource-test-exo-csource.$(OBJEXT) \
	test_exo_csource-test-exo-csource-data.$(OBJEXT)
test_exo_csource_OBJECTS = $(am_test_exo_csource_OBJECTS)
am__DEPENDENCIES_1 =
test_exo_csource_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_exo_csource_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_exo_csource_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_exo_icon_chooser_dialog_OBJECTS = test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.$(OBJEXT)
test_exo_icon_chooser_dialog_OBJECTS =  \
	$(am_test_exo_icon_chooser_dialog_OBJECTS)
test_exo_icon_chooser_dialog_LINK = $(LIBTOOL) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(test_exo_icon_chooser_dialog_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am_test_exo_mount_point_OBJECTS =  \
	test_exo_mount_point-test-exo-mount-point.$(OBJEXT)
test_exo_mount_point_OBJECTS = $(am_test_exo_mount_point_OBJECTS)
test_exo_mount_point_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(test_exo_mount_point_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am_test_exo_noop_OBJECTS = test_exo_noop-test-exo-noop.$(OBJEXT)
test_exo_noop_OBJECTS = $(am_test_exo_noop_OBJECTS)
test_exo_noop_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_exo_noop_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_exo_string_OBJECTS =  \
	test_exo_string-test-exo-string.$(OBJEXT)
test_exo_string_OBJECTS = $(am_test_exo_string_OBJECTS)
test_exo_string_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_exo_string_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_exo_wrap_table_OBJECTS =  \
	test_exo_wrap_table-test-exo-wrap-table.$(OBJEXT)
test_exo_wrap_table_OBJECTS = $(am_test_exo_wrap_table_OBJECTS)
test_exo_wrap_table_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(test_exo_wrap_table_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(test_exo_csource_SOURCES) \
	$(test_exo_icon_chooser_dialog_SOURCES) \
	$(test_exo_mount_point_SOURCES) $(test_exo_noop_SOURCES) \
	$(test_exo_string_SOURCES) $(test_exo_wrap_table_SOURCES)
DIST_SOURCES = $(test_exo_csource_SOURCES) \
	$(test_exo_icon_chooser_dialog_SOURCES) \
	$(test_exo_mount_point_SOURCES) $(test_exo_noop_SOURCES) \
	$(test_exo_string_SOURCES) $(test_exo_wrap_table_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/exo-0.3.106/missing --run aclocal-1.10
ALL_LINGUAS = ar ast be ca cs cy da de dz el en_GB es et eu fi fr gl he hu id it ja ka kk ku lt lv mk nb nl nn pa pl pt pt_BR ro ru sk sq sv tr uk ur ur_PK zh_CN zh_TW 
AMTAR = ${SHELL} /tmp/exo-0.3.106/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/exo-0.3.106/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/exo-0.3.106/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/exo-0.3.106/missing --run automake-1.10
AWK = gawk
CATALOGS =  ar.gmo ast.gmo be.gmo ca.gmo cs.gmo cy.gmo da.gmo de.gmo dz.gmo el.gmo en_GB.gmo es.gmo et.gmo eu.gmo fi.gmo fr.gmo gl.gmo he.gmo hu.gmo id.gmo it.gmo ja.gmo ka.gmo kk.gmo ku.gmo lt.gmo lv.gmo mk.gmo nb.gmo nl.gmo nn.gmo pa.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sq.gmo sv.gmo tr.gmo uk.gmo ur.gmo ur_PK.gmo zh_CN.gmo zh_TW.gmo
CATOBJEXT = .gmo
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -DNDEBUG -DG_DISABLE_CAST_CHECKS
CPP = gcc -E
CPPFLAGS =  -DHAVE_GNUC_VISIBILITY
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GETTEXT_PACKAGE = libexo-0.3
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GLIB_REQUIRED_VERSION = 2.6.4
GLIB_VERSION = 2.18.4
GMOFILES =  ar.gmo ast.gmo be.gmo ca.gmo cs.gmo cy.gmo da.gmo de.gmo dz.gmo el.gmo en_GB.gmo es.gmo et.gmo eu.gmo fi.gmo fr.gmo gl.gmo he.gmo hu.gmo id.gmo it.gmo ja.gmo ka.gmo kk.gmo ku.gmo lt.gmo lv.gmo mk.gmo nb.gmo nl.gmo nn.gmo pa.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sq.gmo sv.gmo tr.gmo uk.gmo ur.gmo ur_PK.gmo zh_CN.gmo zh_TW.gmo
GMSGFMT = /usr/bin/msgfmt
GREP = /usr/bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
GTHREAD_REQUIRED_VERSION = 2.6.4
GTHREAD_VERSION = 2.18.4
GTKDOC_CHECK = /usr/bin/gtkdoc-check
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GTK_REQUIRED_VERSION = 2.6.0
GTK_VERSION = 2.14.7
HAL_CFLAGS = -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
HAL_LIBS = -lhal-storage -lhal -ldbus-1  
HAL_REQUIRED_VERSION = 0.5.7
HAL_STORAGE_DEPENDENCY = hal-storage
HAL_VERSION = 0.5.11
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_POLICY_RULE = %.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS =  -Wl,--as-needed -Wl,-O1
LIBEXO_VERINFO = 5:0:5
LIBEXO_VERSION_API = 0.3
LIBEXO_VERSION_MAJOR = 0
LIBEXO_VERSION_MICRO = 106
LIBEXO_VERSION_MINOR = 3
LIBNOTIFY_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
LIBNOTIFY_LIBS = -lnotify -lgtk-x11-2.0 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-1 -lgobject-2.0 -lglib-2.0  
LIBNOTIFY_REQUIRED_VERSION = 0.4.0
LIBNOTIFY_VERSION = 0.4.5
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXFCE4UTIL_CFLAGS = -I/usr/include/xfce4 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBXFCE4UTIL_LIBS = -lxfce4util -lglib-2.0  
LIBXFCE4UTIL_REQUIRED_VERSION = 4.2.2
LIBXFCE4UTIL_VERSION = 4.6.1
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /tmp/exo-0.3.106/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /usr/bin/msgmerge
NMEDIT = 
OBJEXT = o
PACKAGE = exo
PACKAGE_BUGREPORT = http://bugzilla.xfce.org/
PACKAGE_NAME = exo
PACKAGE_STRING = exo 0.3.106
PACKAGE_TARNAME = exo
PACKAGE_VERSION = 0.3.106
PATH_MOUNT = /bin/mount
PATH_SEPARATOR = :
PATH_UMOUNT = /bin/umount
PERL = perl
PKG_CONFIG = /usr/bin/pkg-config
POFILES =  ar.po ast.po be.po ca.po cs.po cy.po da.po de.po dz.po el.po en_GB.po es.po et.po eu.po fi.po fr.po gl.po he.po hu.po id.po it.po ja.po ka.po kk.po ku.po lt.po lv.po mk.po nb.po nl.po nn.po pa.po pl.po pt.po pt_BR.po ro.po ru.po sk.po sq.po sv.po tr.po uk.po ur.po ur_PK.po zh_CN.po zh_TW.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
PYGTK_CFLAGS = -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -fno-strict-aliasing
PYGTK_CODEGEN = /usr/bin/pygtk-codegen-2.0
PYGTK_DEFSDIR = /usr/share/pygtk/2.0/defs
PYGTK_LIBS = -lgobject-2.0 -lglib-2.0  
PYGTK_REQUIRED_VERSION = 2.4.0
PYGTK_VERSION = 2.14.1
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INCLUDES = -I/usr/include/python2.6
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 0.3.106
XGETTEXT = /usr/bin/xgettext
XGETTEXT_ARGS = --keyword=Q_ --from-code=UTF-8
XML2PO = 
XSLTPROC = 
abs_builddir = /tmp/exo-0.3.106/tests
abs_srcdir = /tmp/exo-0.3.106/tests
abs_top_builddir = /tmp/exo-0.3.106
abs_top_srcdir = /tmp/exo-0.3.106
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/exo-0.3.106/install-sh
libdir = /usr/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = /usr/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/exo
pkgpythondir = ${pythondir}/exo
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = \
	data

INCLUDES = \
	-I$(top_srcdir)							\
	-DG_LOG_DOMAIN=\"exo-tests\"

test_exo_csource_SOURCES = \
	test-exo-csource.c						\
	test-exo-csource-data.c

test_exo_csource_CFLAGS = \
	$(GLIB_CFLAGS)

test_exo_csource_LDADD = \
	$(GLIB_LIBS)

test_exo_mount_point_SOURCES = \
	test-exo-mount-point.c

test_exo_mount_point_CFLAGS = \
	$(GTK_CFLAGS)							\
	$(LIBXFCE4UTIL_CFLAGS)

test_exo_mount_point_DEPENDENCIES = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_mount_point_LDADD = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_noop_SOURCES = \
	test-exo-noop.c

test_exo_noop_CFLAGS = \
	$(GTK_CFLAGS)							\
	$(LIBXFCE4UTIL_CFLAGS)

test_exo_noop_DEPENDENCIES = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_noop_LDADD = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_string_SOURCES = \
	test-exo-string.c

test_exo_string_CFLAGS = \
	$(GTK_CFLAGS)							\
	$(LIBXFCE4UTIL_CFLAGS)

test_exo_string_DEPENDENCIES = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_string_LDADD = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_icon_chooser_dialog_SOURCES = \
	test-exo-icon-chooser-dialog.c

test_exo_icon_chooser_dialog_CFLAGS = \
	$(GTK_CFLAGS)							\
	$(LIBXFCE4UTIL_CFLAGS)

test_exo_icon_chooser_dialog_DEPENDENCIES = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_icon_chooser_dialog_LDADD = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_wrap_table_SOURCES = \
	test-exo-wrap-table.c

test_exo_wrap_table_CFLAGS = \
	$(GTK_CFLAGS)							\
	$(LIBXFCE4UTIL_CFLAGS)

test_exo_wrap_table_DEPENDENCIES = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

test_exo_wrap_table_LDADD = \
	$(top_builddir)/exo/libexo-$(LIBEXO_VERSION_MAJOR).$(LIBEXO_VERSION_MINOR).la

DISTCLEANFILES = test-exo-csource-data.c
BUILT_SOURCES = test-exo-csource-data.c
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
test-exo-csource$(EXEEXT): $(test_exo_csource_OBJECTS) $(test_exo_csource_DEPENDENCIES) 
	@rm -f test-exo-csource$(EXEEXT)
	$(test_exo_csource_LINK) $(test_exo_csource_OBJECTS) $(test_exo_csource_LDADD) $(LIBS)
test-exo-icon-chooser-dialog$(EXEEXT): $(test_exo_icon_chooser_dialog_OBJECTS) $(test_exo_icon_chooser_dialog_DEPENDENCIES) 
	@rm -f test-exo-icon-chooser-dialog$(EXEEXT)
	$(test_exo_icon_chooser_dialog_LINK) $(test_exo_icon_chooser_dialog_OBJECTS) $(test_exo_icon_chooser_dialog_LDADD) $(LIBS)
test-exo-mount-point$(EXEEXT): $(test_exo_mount_point_OBJECTS) $(test_exo_mount_point_DEPENDENCIES) 
	@rm -f test-exo-mount-point$(EXEEXT)
	$(test_exo_mount_point_LINK) $(test_exo_mount_point_OBJECTS) $(test_exo_mount_point_LDADD) $(LIBS)
test-exo-noop$(EXEEXT): $(test_exo_noop_OBJECTS) $(test_exo_noop_DEPENDENCIES) 
	@rm -f test-exo-noop$(EXEEXT)
	$(test_exo_noop_LINK) $(test_exo_noop_OBJECTS) $(test_exo_noop_LDADD) $(LIBS)
test-exo-string$(EXEEXT): $(test_exo_string_OBJECTS) $(test_exo_string_DEPENDENCIES) 
	@rm -f test-exo-string$(EXEEXT)
	$(test_exo_string_LINK) $(test_exo_string_OBJECTS) $(test_exo_string_LDADD) $(LIBS)
test-exo-wrap-table$(EXEEXT): $(test_exo_wrap_table_OBJECTS) $(test_exo_wrap_table_DEPENDENCIES) 
	@rm -f test-exo-wrap-table$(EXEEXT)
	$(test_exo_wrap_table_LINK) $(test_exo_wrap_table_OBJECTS) $(test_exo_wrap_table_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/test_exo_csource-test-exo-csource-data.Po
include ./$(DEPDIR)/test_exo_csource-test-exo-csource.Po
include ./$(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Po
include ./$(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Po
include ./$(DEPDIR)/test_exo_noop-test-exo-noop.Po
include ./$(DEPDIR)/test_exo_string-test-exo-string.Po
include ./$(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

test_exo_csource-test-exo-csource.o: test-exo-csource.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -MT test_exo_csource-test-exo-csource.o -MD -MP -MF $(DEPDIR)/test_exo_csource-test-exo-csource.Tpo -c -o test_exo_csource-test-exo-csource.o `test -f 'test-exo-csource.c' || echo '$(srcdir)/'`test-exo-csource.c
	mv -f $(DEPDIR)/test_exo_csource-test-exo-csource.Tpo $(DEPDIR)/test_exo_csource-test-exo-csource.Po
#	source='test-exo-csource.c' object='test_exo_csource-test-exo-csource.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -c -o test_exo_csource-test-exo-csource.o `test -f 'test-exo-csource.c' || echo '$(srcdir)/'`test-exo-csource.c

test_exo_csource-test-exo-csource.obj: test-exo-csource.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -MT test_exo_csource-test-exo-csource.obj -MD -MP -MF $(DEPDIR)/test_exo_csource-test-exo-csource.Tpo -c -o test_exo_csource-test-exo-csource.obj `if test -f 'test-exo-csource.c'; then $(CYGPATH_W) 'test-exo-csource.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-csource.c'; fi`
	mv -f $(DEPDIR)/test_exo_csource-test-exo-csource.Tpo $(DEPDIR)/test_exo_csource-test-exo-csource.Po
#	source='test-exo-csource.c' object='test_exo_csource-test-exo-csource.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -c -o test_exo_csource-test-exo-csource.obj `if test -f 'test-exo-csource.c'; then $(CYGPATH_W) 'test-exo-csource.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-csource.c'; fi`

test_exo_csource-test-exo-csource-data.o: test-exo-csource-data.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -MT test_exo_csource-test-exo-csource-data.o -MD -MP -MF $(DEPDIR)/test_exo_csource-test-exo-csource-data.Tpo -c -o test_exo_csource-test-exo-csource-data.o `test -f 'test-exo-csource-data.c' || echo '$(srcdir)/'`test-exo-csource-data.c
	mv -f $(DEPDIR)/test_exo_csource-test-exo-csource-data.Tpo $(DEPDIR)/test_exo_csource-test-exo-csource-data.Po
#	source='test-exo-csource-data.c' object='test_exo_csource-test-exo-csource-data.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -c -o test_exo_csource-test-exo-csource-data.o `test -f 'test-exo-csource-data.c' || echo '$(srcdir)/'`test-exo-csource-data.c

test_exo_csource-test-exo-csource-data.obj: test-exo-csource-data.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -MT test_exo_csource-test-exo-csource-data.obj -MD -MP -MF $(DEPDIR)/test_exo_csource-test-exo-csource-data.Tpo -c -o test_exo_csource-test-exo-csource-data.obj `if test -f 'test-exo-csource-data.c'; then $(CYGPATH_W) 'test-exo-csource-data.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-csource-data.c'; fi`
	mv -f $(DEPDIR)/test_exo_csource-test-exo-csource-data.Tpo $(DEPDIR)/test_exo_csource-test-exo-csource-data.Po
#	source='test-exo-csource-data.c' object='test_exo_csource-test-exo-csource-data.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_csource_CFLAGS) $(CFLAGS) -c -o test_exo_csource-test-exo-csource-data.obj `if test -f 'test-exo-csource-data.c'; then $(CYGPATH_W) 'test-exo-csource-data.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-csource-data.c'; fi`

test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.o: test-exo-icon-chooser-dialog.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_icon_chooser_dialog_CFLAGS) $(CFLAGS) -MT test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.o -MD -MP -MF $(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Tpo -c -o test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.o `test -f 'test-exo-icon-chooser-dialog.c' || echo '$(srcdir)/'`test-exo-icon-chooser-dialog.c
	mv -f $(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Tpo $(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Po
#	source='test-exo-icon-chooser-dialog.c' object='test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_icon_chooser_dialog_CFLAGS) $(CFLAGS) -c -o test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.o `test -f 'test-exo-icon-chooser-dialog.c' || echo '$(srcdir)/'`test-exo-icon-chooser-dialog.c

test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.obj: test-exo-icon-chooser-dialog.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_icon_chooser_dialog_CFLAGS) $(CFLAGS) -MT test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.obj -MD -MP -MF $(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Tpo -c -o test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.obj `if test -f 'test-exo-icon-chooser-dialog.c'; then $(CYGPATH_W) 'test-exo-icon-chooser-dialog.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-icon-chooser-dialog.c'; fi`
	mv -f $(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Tpo $(DEPDIR)/test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.Po
#	source='test-exo-icon-chooser-dialog.c' object='test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_icon_chooser_dialog_CFLAGS) $(CFLAGS) -c -o test_exo_icon_chooser_dialog-test-exo-icon-chooser-dialog.obj `if test -f 'test-exo-icon-chooser-dialog.c'; then $(CYGPATH_W) 'test-exo-icon-chooser-dialog.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-icon-chooser-dialog.c'; fi`

test_exo_mount_point-test-exo-mount-point.o: test-exo-mount-point.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_mount_point_CFLAGS) $(CFLAGS) -MT test_exo_mount_point-test-exo-mount-point.o -MD -MP -MF $(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Tpo -c -o test_exo_mount_point-test-exo-mount-point.o `test -f 'test-exo-mount-point.c' || echo '$(srcdir)/'`test-exo-mount-point.c
	mv -f $(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Tpo $(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Po
#	source='test-exo-mount-point.c' object='test_exo_mount_point-test-exo-mount-point.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_mount_point_CFLAGS) $(CFLAGS) -c -o test_exo_mount_point-test-exo-mount-point.o `test -f 'test-exo-mount-point.c' || echo '$(srcdir)/'`test-exo-mount-point.c

test_exo_mount_point-test-exo-mount-point.obj: test-exo-mount-point.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_mount_point_CFLAGS) $(CFLAGS) -MT test_exo_mount_point-test-exo-mount-point.obj -MD -MP -MF $(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Tpo -c -o test_exo_mount_point-test-exo-mount-point.obj `if test -f 'test-exo-mount-point.c'; then $(CYGPATH_W) 'test-exo-mount-point.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-mount-point.c'; fi`
	mv -f $(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Tpo $(DEPDIR)/test_exo_mount_point-test-exo-mount-point.Po
#	source='test-exo-mount-point.c' object='test_exo_mount_point-test-exo-mount-point.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_mount_point_CFLAGS) $(CFLAGS) -c -o test_exo_mount_point-test-exo-mount-point.obj `if test -f 'test-exo-mount-point.c'; then $(CYGPATH_W) 'test-exo-mount-point.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-mount-point.c'; fi`

test_exo_noop-test-exo-noop.o: test-exo-noop.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_noop_CFLAGS) $(CFLAGS) -MT test_exo_noop-test-exo-noop.o -MD -MP -MF $(DEPDIR)/test_exo_noop-test-exo-noop.Tpo -c -o test_exo_noop-test-exo-noop.o `test -f 'test-exo-noop.c' || echo '$(srcdir)/'`test-exo-noop.c
	mv -f $(DEPDIR)/test_exo_noop-test-exo-noop.Tpo $(DEPDIR)/test_exo_noop-test-exo-noop.Po
#	source='test-exo-noop.c' object='test_exo_noop-test-exo-noop.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_noop_CFLAGS) $(CFLAGS) -c -o test_exo_noop-test-exo-noop.o `test -f 'test-exo-noop.c' || echo '$(srcdir)/'`test-exo-noop.c

test_exo_noop-test-exo-noop.obj: test-exo-noop.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_noop_CFLAGS) $(CFLAGS) -MT test_exo_noop-test-exo-noop.obj -MD -MP -MF $(DEPDIR)/test_exo_noop-test-exo-noop.Tpo -c -o test_exo_noop-test-exo-noop.obj `if test -f 'test-exo-noop.c'; then $(CYGPATH_W) 'test-exo-noop.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-noop.c'; fi`
	mv -f $(DEPDIR)/test_exo_noop-test-exo-noop.Tpo $(DEPDIR)/test_exo_noop-test-exo-noop.Po
#	source='test-exo-noop.c' object='test_exo_noop-test-exo-noop.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_noop_CFLAGS) $(CFLAGS) -c -o test_exo_noop-test-exo-noop.obj `if test -f 'test-exo-noop.c'; then $(CYGPATH_W) 'test-exo-noop.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-noop.c'; fi`

test_exo_string-test-exo-string.o: test-exo-string.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_string_CFLAGS) $(CFLAGS) -MT test_exo_string-test-exo-string.o -MD -MP -MF $(DEPDIR)/test_exo_string-test-exo-string.Tpo -c -o test_exo_string-test-exo-string.o `test -f 'test-exo-string.c' || echo '$(srcdir)/'`test-exo-string.c
	mv -f $(DEPDIR)/test_exo_string-test-exo-string.Tpo $(DEPDIR)/test_exo_string-test-exo-string.Po
#	source='test-exo-string.c' object='test_exo_string-test-exo-string.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_string_CFLAGS) $(CFLAGS) -c -o test_exo_string-test-exo-string.o `test -f 'test-exo-string.c' || echo '$(srcdir)/'`test-exo-string.c

test_exo_string-test-exo-string.obj: test-exo-string.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_string_CFLAGS) $(CFLAGS) -MT test_exo_string-test-exo-string.obj -MD -MP -MF $(DEPDIR)/test_exo_string-test-exo-string.Tpo -c -o test_exo_string-test-exo-string.obj `if test -f 'test-exo-string.c'; then $(CYGPATH_W) 'test-exo-string.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-string.c'; fi`
	mv -f $(DEPDIR)/test_exo_string-test-exo-string.Tpo $(DEPDIR)/test_exo_string-test-exo-string.Po
#	source='test-exo-string.c' object='test_exo_string-test-exo-string.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_string_CFLAGS) $(CFLAGS) -c -o test_exo_string-test-exo-string.obj `if test -f 'test-exo-string.c'; then $(CYGPATH_W) 'test-exo-string.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-string.c'; fi`

test_exo_wrap_table-test-exo-wrap-table.o: test-exo-wrap-table.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_wrap_table_CFLAGS) $(CFLAGS) -MT test_exo_wrap_table-test-exo-wrap-table.o -MD -MP -MF $(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Tpo -c -o test_exo_wrap_table-test-exo-wrap-table.o `test -f 'test-exo-wrap-table.c' || echo '$(srcdir)/'`test-exo-wrap-table.c
	mv -f $(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Tpo $(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Po
#	source='test-exo-wrap-table.c' object='test_exo_wrap_table-test-exo-wrap-table.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_wrap_table_CFLAGS) $(CFLAGS) -c -o test_exo_wrap_table-test-exo-wrap-table.o `test -f 'test-exo-wrap-table.c' || echo '$(srcdir)/'`test-exo-wrap-table.c

test_exo_wrap_table-test-exo-wrap-table.obj: test-exo-wrap-table.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_wrap_table_CFLAGS) $(CFLAGS) -MT test_exo_wrap_table-test-exo-wrap-table.obj -MD -MP -MF $(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Tpo -c -o test_exo_wrap_table-test-exo-wrap-table.obj `if test -f 'test-exo-wrap-table.c'; then $(CYGPATH_W) 'test-exo-wrap-table.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-wrap-table.c'; fi`
	mv -f $(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Tpo $(DEPDIR)/test_exo_wrap_table-test-exo-wrap-table.Po
#	source='test-exo-wrap-table.c' object='test_exo_wrap_table-test-exo-wrap-table.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_exo_wrap_table_CFLAGS) $(CFLAGS) -c -o test_exo_wrap_table-test-exo-wrap-table.obj `if test -f 'test-exo-wrap-table.c'; then $(CYGPATH_W) 'test-exo-wrap-table.c'; else $(CYGPATH_W) '$(srcdir)/test-exo-wrap-table.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[	 ]'; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *$$ws$$tst$$ws*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *$$ws$$tst$$ws*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(MKDIR_P) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(PROGRAMS)
installdirs: installdirs-recursive
installdirs-am:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
	clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-exec-am:

install-html: install-html-recursive

install-info: install-info-recursive

install-man:

install-pdf: install-pdf-recursive

install-ps: install-ps-recursive

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am:

.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
	install-strip

.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
	all all-am check check-TESTS check-am clean \
	clean-checkPROGRAMS clean-generic clean-libtool clean-local \
	clean-noinstPROGRAMS ctags ctags-recursive distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
	uninstall uninstall-am


test-exo-csource-data.c: Makefile $(srcdir)/data/data.bin $(srcdir)/data/data.txt
	$(top_builddir)/exo-csource/exo-csource --extern --build-list data_bin $(srcdir)/data/data.bin data_txt $(srcdir)/data/data.txt > test-exo-csource-data.c

clean-local:
	rm -f *.core core core.*

# vi:set ts=8 sw=8 noet ai nocindent syntax=automake:
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
